#81 Need to re-train every day

open
None
5
2005-05-13
2005-03-15
fintan74
No

I have a problem for which I have been unable to find a
solution in either this forum, the FAQ or the
Troubleshooting guide. Hopefully someone here will be
able to assist.

Spambayes has been monitoring my Outlook mailbox for
quite some time and it has always worked like a charm.
Upto about two weeks ago. Suddenly I needed to re-train
the complete database every day, otherwise it will
simply not process messages. Spambayes loads without
problems and the toolbar itself works fine. It just
does not process anything until I re-train the database.

Downloading and installing the latest version has not
resolved matters. I have also tried putting the
configuration files in a local folder instead of the
documents&settings-folder that is synchronised with
server during logon and logoff. Hasn't helped either...

What I have noticed in the logfile is that it says
"NOTE: Skipping folder for this session - temporarily
unavailable" four times in a row. I wonder if this is
the reason for the problem, although I have no idea
what is triggering that message.

The complete log is as follows:

---------------------
Loaded bayes database from
'C:\spambayesconfig\default_bayes_database.db'
Loaded message database from
'C:\spambayesconfig\default_message_database.db'
Bayes database initialized with 709 spam and 33 good
messages
SpamBayes Outlook Addin Binary Version 1.0.3 (January
2005) starting (with engine SpamBayes Engine Version
0.3 (January 2004))
on Windows 5.1.2600 (Service Pack 2)
using Python 2.4 (#60, Nov 30 2004, 11:49:19) [MSC
v.1310 32 bit (Intel)]
NOTE: Skipping folder for this session - temporarily
unavailable
NOTE: Skipping folder for this session - temporarily
unavailable
NOTE: Skipping folder for this session - temporarily
unavailable
NOTE: Skipping folder for this session - temporarily
unavailable
Saving configuration -> C:\spambayesconfig\MS Exchange
Settings.ini
SpamBayes: Watching (for filtering) in 'fintan/Postvak IN'
SpamBayes: Watching (for incremental training) in
'fintan/Junk E-Mail'
---------------------

Any help would be very much appreciated. Thanks!

Discussion

  • Tony Meyer

    Tony Meyer - 2005-03-29

    Logged In: YES
    user_id=552329

    Could you attach a log from when it doesn't work? That
    would help a lot more in figuring out what is wrong.

    Are all of these folders on an Exchange server? Has
    anything changed with your Exchange server recently? Do you
    have any other problems viewing these folders?

     
  • fintan74

    fintan74 - 2005-03-31

    Logged In: YES
    user_id=1239541

    Hi anadelonbrin,

    Thank you very much for taking the time to respond to this
    query. The log doesn't show much more than the above after a
    full day of not working, but yet manually processing. I have
    deleted the last 50 or so spam messages from the following
    log, as they do not seem to add much to this log:

    ---------------------------------------------
    Loaded bayes database from
    'C:\spambayesconfig\default_bayes_database.db'
    Loaded message database from
    'C:\spambayesconfig\default_message_database.db'
    Bayes database initialized with 1111 spam and 39 good messages
    SpamBayes Outlook Addin Binary Version 1.0.3 (January 2005)
    starting (with engine SpamBayes Engine Version 0.3 (January
    2004))
    on Windows 5.1.2600 (Service Pack 2)
    using Python 2.4 (#60, Nov 30 2004, 11:49:19) [MSC v.1310 32
    bit (Intel)]
    NOTE: Skipping folder for this session - temporarily unavailable
    NOTE: Skipping folder for this session - temporarily unavailable
    NOTE: Skipping folder for this session - temporarily unavailable
    NOTE: Skipping folder for this session - temporarily unavailable
    FAILED to add the toolbar item 'SpamBayesCommand.Manager' -
    (-2147352567, 'Exception occurred.', (0, None, None, None,
    0, -2147467259), None)
    The above toolbar message is common - recreating the toolbar...
    Moving and spam training message 'Perfector (1+1) machines
    for sale' - Training on message 'Perfector (1+1) machines
    for sale' in 'fintan/Postvak IN - trained as spam
    Moving and spam training message 'Re: Encrypted Mail' -
    Training on message 'Re: Encrypted Mail' in 'fintan/Postvak
    IN - trained as spam
    ---------------------------------------------

    That's all it says...

    Yes, these folders are on an Exchange server, but to my
    knowledge nothingw as changed (although I am not the server
    admin). I have no further problems viewing these folders.

    As stated earlier, when I retrain Spambayes it works fine
    for the rest of the day. But overnight (when the machine is
    turned off) it forgets all it's settings and needs
    retraining again the next day.

    To me it looks like the problem is in the folders that
    Spambayes is skipping during initialising. But I have no
    idea why it cannot locate the folders, or why it forgets
    where they are even after the retraining.

    Thanks again for your time and input.

    Regards,
    Fintan

     
  • Tony Meyer

    Tony Meyer - 2005-04-06

    Logged In: YES
    user_id=552329

    If I could figure out whether it's
    mapi.MAPI_E_OBJECT_DELETED or mapi.MAPI_E_NOT_FOUND and
    whether it happens just when Outlook is opening or not that
    would help.

    I have a little script that will tell me this, hopefully
    (it'll be more information, anyway, if you're able to run it.

    There are two options:
    (1) If you have Python (http://www.python.org/download)
    installed and a copy of the spambayes source, then I can
    just attach the script here (it's only 10 lines).

    (2) I can wrap it up as a binary, so you don't need
    anything, and send this to you. It ends up being about 3Mb,
    though, because it grabs a whole heap of stuff. (Although
    if I just sent the executable, which is small, it might work
    if it was run in the bin directory in the spambayes
    installation).

    Does either of those sound ok? I've looked for information
    about these errors, and tried things here, but I can't think
    of any other way forward at the moment.

    (You could try 1.1a1 - a test version is at
    http://www.massey.ac.nz/~tameyer/spambayes-1.1a1rc1.exe -
    but I doubt it will be any different).

     
  • fintan74

    fintan74 - 2005-04-12

    Logged In: YES
    user_id=1239541

    Hi Tony,

    Thanks for your below reply and my apologies for not getting
    back to you sooner.

    Unfortunately I am not familiar enough with Exchange servers
    to give you any feedback on the mapi-issue. If you would be
    so kind as to e-mail me the binary you mention, that would
    be great. I believe you have my e-mail address, otherwise
    I'll be happy to mail it to you.

    I've tried installing the testversion you mention. It still
    gives the same message in the logfile: 'skipping folder for
    this session - temporarily unavailable'. It almost seems
    like Spambayes is starting up before Outlook has finished
    loading, or something...

    The interesting thing is that the new testversion does give
    an additional errormessage: 'Ignoring OnCommand for
    IDC_ACTION_HAM'. It also does not seem to complete the loop
    of saving the configuration and activating the Spambayes
    watch. I've copied the complete logfile below. Perhaps this
    helps also.

    Thanks again for your time. Hopefully we'll be able to make
    some progress with your binary-file.

    Regards,
    Fintan

    ----------------------------------------
    Loaded bayes database from
    'C:\spambayesconfig\default_bayes_database.db'
    Loaded message database from
    'C:\spambayesconfig\default_message_database.db'
    Bayes database initialized with 1337 spam and 50 good messages
    SpamBayes Outlook Addin Version 1.1a1 (April 2005)
    on Windows 5.1.2600 (Service Pack 2)
    using Python 2.4 (#60, Nov 30 2004, 11:49:19) [MSC v.1310 32
    bit (Intel)]
    Log created Tue Apr 12 09:30:47 2005
    NOTE: Skipping folder for this session - temporarily unavailable
    NOTE: Skipping folder for this session - temporarily unavailable
    NOTE: Skipping folder for this session - temporarily unavailable
    NOTE: Skipping folder for this session - temporarily unavailable
    FAILED to add the toolbar item 'SpamBayesCommand.Manager' -
    (-2147352567, 'Exception occurred.', (0, None, None, None,
    0, -2147467259), None)
    The above toolbar message is common - recreating the toolbar...
    Ignoring OnCommand for IDC_ACTION_HAM
    Ignoring OnCommand for IDC_ACTION_HAM
    Ignoring OnCommand for IDC_ACTION_HAM
    Ignoring OnCommand for IDC_ACTION_HAM
    Ignoring OnCommand for IDC_ACTION_HAM
    ----------------------------------------

     
  • Tony Meyer

    Tony Meyer - 2005-04-21

    Logged In: YES
    user_id=552329

    Ack - sorry. I got caught up with other work. I'll send
    you a binary tomorrow (22/4). Thanks for trying 1.1a1.

     
  • Tony Meyer

    Tony Meyer - 2005-04-22

    Logged In: YES
    user_id=552329

    Ok, there's a test binary at:

    <http://www.massey.ac.nz/~tameyer/spambayes-folder-tester.zip>

    If you expand it, then open a command window and go into the
    dist\bin directory, then do "debug_folder_list.exe
    C:\spambayesconfig\Outlook.ini" it should print out a list
    of the folders.

    (I'm taking a stab at where the Outlook.ini file is, since
    it's not the default config layout. Replace with the
    location of the actual file).

    If you could try this with Outlook closed, and with Outlook
    open, and see if it generates the same error, that would be
    great.

     
  • fintan74

    fintan74 - 2005-04-22

    Logged In: YES
    user_id=1239541

    Hi Tony,

    Thanks again for your time.

    I downloaded the file, unpacked it and tried running it.
    Unfortunately there is no such thing as an outlook.ini file
    on our system. What I do have in my spambayes-folder is an
    'MS Exchange Server.ini' file, which I assume is the same
    file you are looking for. Our IT-guy confirms this is also
    the name of the file that holds my Outlook-settings.

    Running the executable on this ini-file does nothing in the
    DOS-shell however: no errors, but also no output. There is
    no logfile in the spambayes-folder or the bin-drectory of
    your executable.

    Am I looking in the wrong place, or could this different
    .ini-file be the reason for the problems in the first place?

    An additional bit of information: I found yesterday and
    today that Spambayes suddenly starts working if I first
    'delete as spam' a message, then open the Spambayes Manager
    window and simply close it again. After a while the program
    suddenly jumps to life and starts classifying mail. Upon
    restart of the computer it is dormant again (it loads fine
    though) and I need to repeat the above steps to get it
    working. It's getting stranger by the day, but at least it's
    doing something...

    Look forward to hearing back from you...

    Regards,
    Fintan

     
  • Tony Meyer

    Tony Meyer - 2005-04-27

    Logged In: YES
    user_id=552329

    That is the correct file - it's name is based on the Outlook
    profile name, which if there is only one profile is usually
    called Outlook.ini or MS Exchange Server.ini.

    I'll look into this more tomorrow - particularly what might
    cause it to start working as you describe.

     
  • Tony Meyer

    Tony Meyer - 2005-05-13
    • assigned_to: nobody --> anadelonbrin
     
  • fintan74

    fintan74 - 2005-06-20

    Logged In: YES
    user_id=1239541

    Hi Tony,

    It's been a while since I heard from you. Don't want to
    push, but do you have any further ideas to help resolve this
    matter?

    Thanks,
    Fintan

     
  • Tony Meyer

    Tony Meyer - 2005-06-23

    Logged In: YES
    user_id=552329

    Sorry - I've been flat out with other stuff and not really
    managing to keep up with SpamBayes work.

    I think this is the same as [ 911734 ] Addin never checks if
    unavailable folders become available

    http://sourceforge.net/tracker/?group_id=61702&atid=498103&func=detail&aid=911734

    I think probably what has to be done is that we have to try
    these folders that have been skipped later on.

    I'll try and find time to build a binary that does this
    tomorrow. Please email me or add a comment here if you
    don't see anything in the next couple of days to remind me.

     
  • fintan74

    fintan74 - 2005-07-11

    Logged In: YES
    user_id=1239541

    Hi Tony,

    Just bumping this request as per your message, since I have
    not heard from you since 23 June.

    Thanks again for your time and effort.

    Regards,
    Fintan

     
  • fintan74

    fintan74 - 2005-09-05

    Logged In: YES
    user_id=1239541

    Hi Tony,

    Another bump, as things have been very quite lately.

    Appreciate your efforts...

    Regards,
    Fintan

     
  • fintan74

    fintan74 - 2005-11-21

    Logged In: YES
    user_id=1239541

    <bump>

    Any news Tony?

     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks